## openmpi 4.1.4

=== orte/test/mpi/Makefile ===
PROGS = mpi_no_op mpi_barrier hello hello_nodename abort multi_abort simple_spawn \
		concurrent_spawn spawn_multiple mpi_spin delayed_abort loop_spawn loop_child \
		bad_exit pubsub hello_barrier segv accept connect hello_output hello_show_help \
		crisscross read_write ziatest slave reduce-hang ziaprobe ziatest bcast_loop \
		parallel_w8 parallel_w64 parallel_r8 parallel_r64 sio sendrecv_blaster early_abort \
		debugger singleton_client_server intercomm_create spawn_tree init-exit77 mpi_info \
		info_spawn server client paccept pconnect ring hello.sapp binding badcoll attach xlib \
		no-disconnect nonzero interlib pinterlib add_host

all: $(PROGS)

# These guys need additional -I flags

hello_output: hello_output.c
	$(CC) $(CFLAGS) $(CFLAGS_INTERNAL) $^ -o $@

hello_show_help: hello_show_help.c
	$(CC) $(CFLAGS) $(CFLAGS_INTERNAL) $^ -o $@

xlib: xlib.c
	$(CC) $(CFLAGS) $(CFLAGS_INTERNAL) $^ -o $@ -lpmix

pinterlib: pinterlib.c
	$(CC) $(CFLAGS) $(CFLAGS_INTERNAL) $^ -o $@ -lpmix

CC = mpicc
CFLAGS = -g --openmpi:linkall
CFLAGS_INTERNAL = -I../../.. -I../../../orte/include -I../../../opal/include
CXX = mpic++ --openmpi:linkall
CXXFLAGS = -g
FC = mpifort -openmpi:linkall
FCFLAGS = -g

clean:
	rm -f $(PROGS) *~

=== debian/changelog ===
openmpi (4.1.4-3) unstable; urgency=medium

  * Rebuild against latest dh-fortran-mod, pmix 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Oct 2022 12:52:34 +0100

openmpi (4.1.4-2) unstable; urgency=medium

  * Fix broken oshmem symlink. Closes: #1009748

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:47:37 +0100

openmpi (4.1.4-1) unstable; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.3 -> libmpi.so.40.30.4
    - /libmca_common_ompio.so.41.29.3 -> /libmca_common_ompio.so.41.29.4
  * Standards-Versoin: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 May 2022 10:51:27 +0100

openmpi (4.1.3-2) unstable; urgency=medium

  * Update links:
    - libmca_common_ompio.so.41.29.2 -> libmca_common_ompio.so.41.29.3
    - libmca_common_ucx.so.40.30.1 -> libmca_common_ucx.so.40.30.2
    Closes: #1008966
  * Fix autopkgtest that was incorrectly silent: Closes: #1009263

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Apr 2022 08:32:17 +0100

openmpi (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update links:
     - libmpi.so.40.30.2  -> libmpi.so.4.0.30.2
     - libompitrace.so.40.30.0 -> libompitrace.so.40.30.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Apr 2022 09:05:27 +0100

=== debian/control ===
Source: openmpi
Section: net
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Manuel Prinz <manuel@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), 
 dh-sequence-fortran-mod,
 debhelper-compat (= 13), 
 libevent-dev,
 libpmix-dev,
 libucx-dev [amd64 arm64 ppc64el],
 zlib1g-dev,
 gfortran,
 libhwloc-dev,
 pkg-config,
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4 !powerpc !x32],
 libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libpsm-infinipath1-dev [amd64 i386],
 libpsm2-dev [amd64],
 default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !alpha !ppc64 !sparc64] <!nojava>,
 flex
Build-Conflicts: libmpich-dev, libopenmpi-dev
Standards-Version: 4.6.1
Homepage: https://www.open-mpi.org/
Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest

Package: openmpi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (>= ${source:Version}),
 openssh-client | ssh-client
Conflicts: openmpi-bin
Multi-Arch: foreign
Breaks:
 libopenmpi-dev (<< 4.0.5-3),
 mpich (<< 3.3~b1-5),
 libmpich-dev (<< 3.3~b1-5),
 lam4-dev (<< 7.1.4-4),
Replaces: libopenmpi-dev (<< 4.0.5-3),
Suggests: gfortran | fortran-compiler
Description: high performance message passing library -- binaries
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 Features:
  * Full MPI-3.1 standards conformance
  * Thread safety and concurrency
  * Dynamic process spawning
  * High performance on all platforms
  * Reliable and fast job management
  * Network and process fault tolerance
  * Support network heterogeneity
  * Single library supports all networks
  * Run-time instrumentation
  * Many job schedulers supported
  * Internationalized error messages
  * Component-based design, documented APIs
 .
 This package contains the Open MPI utility programs.

Package: libopenmpi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libopenmpi3 (= ${binary:Version}), 
 openmpi-common (>= ${source:Version}), 
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
 libevent-dev, 
 libpmix-dev,
 libjs-jquery,
 libjs-jquery-ui,
 zlib1g-dev,
 openmpi-bin (>= 3.0.0-1)
Recommends: libcoarrays-openmpi-dev
Conflicts: libopenmpi-dev
Breaks:
 openmpi-doc (<< 4.1.2~rc1-4),
 lam4-dev (<< 7.1.4-4),
Suggests: openmpi-doc
Description: high performance message passing library -- header files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the header files and compiler wrappers which are needed
 to compile and link programs against libopenmpi.

Package: libopenmpi3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
Breaks: gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
Description: high performance message passing library -- shared library
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the Open MPI shared libraries.

Package: openmpi-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openmpi-common
Description: high performance message passing library -- common files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains platform independent files for Open MPI.

Package: openmpi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery-ui
Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-doc
Replaces:  libopenmpi-dev (<< 4.1.2~rc1-4)
Breaks: libopenmpi-dev (<< 4.1.2~rc1-4)
Description: high performance message passing library -- man pages
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains man pages describing the Message Passing Interface
 standard.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR:=$(CURDIR)/debian/tmp/
BUILDDIR_FLANG=debian/build-flang
BUILDDIR_GFORTRAN=debian/build-gfortran
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libopenmpi-dev.postinst libopenmpi-dev.prerm

### Arch-specific stuff
# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x 
NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x sh4 powerpc x32
PSM_ARCH:= amd64 i386
PSM2_ARCH:= amd64
UCX_ARCH:= amd64 ppc64el arm64
ATOMICS_ARCH:= s390x riscv64
NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
NO_JAVA_ARCH:= hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 alpha sparc64
NO_TEST_ARCH:= hppa hurd-i386


UCX:=     $(if $(filter $(DEB_TARGET_ARCH), $(UCX_ARCH)),  --with-ucx,  )
VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs ) 
FABRIC:=  $(if $(filter $(DEB_TARGET_ARCH), $(NO_FABRIC_ARCH)),  , --with-libfabric  )
PSM:=     $(if $(filter $(DEB_TARGET_ARCH), $(PSM_ARCH)),  --with-psm, )
PSM2:=    $(if $(filter $(DEB_TARGET_ARCH), $(PSM2_ARCH)),  --with-psm2, )
ATOMICS:= $(if $(filter $(DEB_TARGET_ARCH), $(ATOMICS_ARCH)), --enable-builtin-atomics, )
CMA:=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CMA_ARCH)), --without-cma , )
DO_TEST:= $(if $(filter $(DEB_TARGET_ARCH), $(NO_TEST_ARCH)), false, true)
BTL_TESTS:= $(if $(DO_TEST), --enable-opal-btl-usnic-unit-tests, )
DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
       JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
		 ,--with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java )
endif

FLANG_FCFLAGS= $(filter '-g', $(shell dpkg-buildflags --get FCFLAGS))
FLANG_LIBDIR= $(LIBDIR)/fortran/flang

FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
# GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
export GFORTRAN_VERSION=gfortran-mod-15

# FC set to f77 by default in make
# Read default compiler name unless FC is actually set
ifeq ($(FC),f77)
  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
endif

# Drop '-g' flag with flang. Known failure with 2018122 version
ifneq ($(filter flang,$(FC)),)
FCFLAGS=$(shell dpkg-buildflags --get FCLAGS |  sed -e 's/-g //')
endif


ifeq (sparc,$(DEB_HOST_GNU_CPU))
	CFLAGS += -mcpu=v9
endif

# Use -O3 recommended by upstream
CFLAGS += -O3
CXXFLAGS += -O3
FCFLAGS += -O3

# Flags for the static build: see bug #502232
#STATIC_CONFIG_PARAMS = --enable-static
STATIC_CONFIG_PARAMS =  

# Do not embed build username or build system hostname, see README
export HOSTNAME=hostname
export USER=username

%:
	dh $@ 

extra_flags = \
		--disable-silent-rules \
		--disable-wrapper-runpath \
		--with-package-string="Debian OpenMPI" \
		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) \
		$(UCX) \
		--with-pmix=$(LIBDIR)/pmix2 \
		$(ATOMICS) \
		$(JAVA) \
		$(STATIC_CONFIG_PARAMS) \
		$(BTL_TESTS) \
                --with-libevent=external \
		--with-hwloc=external  \
		--disable-silent-rules \
		--enable-mpi-cxx \
		--enable-ipv6  \
		--with-devel-headers \
		--with-slurm \
		--with-sge \
		--without-tm \
		--sysconfdir=/etc/openmpi 		\
		--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/lib	\
		--includedir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/include 

override_dh_auto_clean:
	dh_clean
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	find . -name .libs -exec rm -rf {} \; || true
	find . -name .dirstamp -delete
	find . -type l -delete
	find . -name '*.o' -delete

override_dh_update_autotools_config:
	(cd config && autom4te --language=m4sh opal_get_version.m4sh -o opal_get_version.sh)
	./autogen.pl --force

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
               sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  | \
               sed -e 's/@GFORTRAN_VERSION@/${GFORTRAN_VERSION}/' > debian/$$f ; \
               done
	dh_auto_configure --builddirectory=$(BUILDDIR_GFORTRAN) -- $(extra_flags)
	$(DO_FLANG) && dh_auto_configure --builddirectory=$(BUILDDIR_FLANG) \
		-- $(extra_flags) FC=flang FCFLAGS="$(FLANG_FCFLAGS)" || true

override_dh_auto_build:
	dh_auto_build --builddirectory=$(BUILDDIR_GFORTRAN)	
	$(DO_FLANG) && dh_auto_build --builddirectory=$(BUILDDIR_FLANG)	 || true

override_dh_install:
	dh_auto_install --builddirectory=$(BUILDDIR_GFORTRAN)
	$(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
# Rename the compiler and startup wrappers.
	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f $(DESTDIR)/usr/bin/$${f}; then \
			mv $(DESTDIR)/usr/bin/$${f} $(DESTDIR)/usr/bin/$${f}.openmpi ; \
		fi; \
	done
	# Rename some files
	mv $(DESTDIR)/usr/bin/aggregate_profile.pl $(DESTDIR)/usr/bin/aggregate_profile
	mv $(DESTDIR)/usr/bin/profile2mat.pl $(DESTDIR)/usr/bin/profile2mat
# Strip rpath from pc,wrapper files
	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  orte.pc ; do  \
		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} > debian/tmp.x ; \
		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
		done
	find . -name '*wrapper-data.txt' | while read f; do \
		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
		sed -e 's/@COMPILER_VERSION@/${GFORTRAN_VERSION}/' > debian/tmp.x ; \
		mv debian/tmp.x $$f ; done
# Rename the compiler wrapper man pages.
	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.1; then \
			echo DEBUG7 $${f} ;\
			mv $(DESTDIR)/usr/share/man/man1/$${f}.1 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.1 ; \
		fi; \
		if test -f $(DESTDIR)/usr/share/man/man1/$${f}.3; then \
			echo DEBUG8 $${f} ;\
			mv $(DESTDIR)/usr/share/man/man3/$${f}.3 $(DESTDIR)/usr/share/man/man1/$${f}.openmpi.3 ; \
		fi; \
	done
	cd $(DESTDIR)/usr/share/man/man3; \
	for f in *.3; do \
		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
	done; \
	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.30.0 \
		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.30.0 \
		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.30.0 \
		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
	# Flang, if present
	$(DO_FLANG) && ( \
		mkdir -p $(DESTDIR)/$(FLANG_MODDIR) ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-ignore-tkr/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/mod/*.mod openmpi ; \
		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext-use-mpi/*.mod openmpi ; \

=== debian/tests/control ===
Tests: hello1
Depends: gcc, openmpi-bin, libopenmpi-dev

Tests: hello2
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: hello4
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: check_shared_objs
Depends: openmpi-bin

## openmpi 4.1.5

=== debian/changelog ===
openmpi (4.1.5-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 08:02:02 +0200

openmpi (4.1.5-3) unstable; urgency=medium

  * Rebuild against gcc-13. Closes: #1050031

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Aug 2023 09:51:43 +0100

openmpi (4.1.5-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2023 11:18:51 +0200

openmpi (4.1.5-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:13:42 +0100

openmpi (4.1.5-1) experimental; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.4 -> libmpi.so.40.30.5
    - libopen-pal.so.40.30.2 -> libopen-pal.so.40.30.3
    - libopen-rte.so.40.30.2 -> libopen-rte.so.40.30.3
    - liboshmem.so.40.30.2 -> liboshmem.so.40.30.3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Mar 2023 10:06:21 +0000

openmpi (4.1.4-3ubuntu2) lunar; urgency=medium

  * Rebuild against new libpmix2 4.2.2-1 on riscv64, fixing python-
    escrypt build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2023 14:05:59 +0100

openmpi (4.1.4-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 22:16:43 -0800

openmpi (4.1.4-2ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libevent-core-2.1-7a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 21:23:22 +0000

openmpi (4.1.4-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Sep 2022 18:16:05 +0200

openmpi (4.1.4-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2022 09:10:10 +0200

openmpi (4.1.3-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 10:10:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openmpi
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Manuel Prinz <manuel@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), 
  dh-sequence-fortran-mod,
@@ -13,15 +14,15 @@
  gfortran,
  libhwloc-dev,
  pkg-config,
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4 !powerpc !x32],
+ libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
+ libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4 !powerpc !x32 !i386],
  libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libpsm-infinipath1-dev [amd64 i386],
  libpsm2-dev [amd64],
  default-jdk [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !alpha !ppc64 !sparc64] <!nojava>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/latest
@@ -69,7 +70,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  libopenmpi3 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
- libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
+ libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386], libhwloc-dev,
  libevent-dev, 
  libpmix-dev,
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
-NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x 
-NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x sh4 powerpc x32
+NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x i386
+NO_FABRIC_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x sh4 powerpc x32 i386
 PSM_ARCH:= amd64 i386
 PSM2_ARCH:= amd64
 UCX_ARCH:= amd64 ppc64el arm64

## openmpi 4.1.6

=== debian/changelog ===
openmpi (4.1.6-7ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:25:08 +0000

openmpi (4.1.6-7ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Mar 2024 08:34:15 +0100

openmpi (4.1.6-7) unstable; urgency=medium

  * Drop hard-coded pmix2 dependency. Closes: #1066885

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 06:14:07 +0000

openmpi (4.1.6-6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core
    - Remove redundant libpmix2 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Mar 2024 21:17:49 +0100

openmpi (4.1.6-6) unstable; urgency=medium

  * Patch from Zixing Liu to change libnames in d/rules for t64 transition.
    Closes: #1066834

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 08:19:07 +0000

openmpi (4.1.6-5.1ubuntu4) noble; urgency=medium

  * d/rules: correctly install all the optional libraries to the t64-suffixed
    binary packages. (LP: #1070321)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 13 Mar 2024 18:49:40 -0600

openmpi (4.1.6-5.1ubuntu3) noble; urgency=medium

  * Remove redundant libpmix2 dependency

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 12 Mar 2024 20:30:35 -0600

openmpi (4.1.6-5.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpmix2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:51:49 +0000

openmpi (4.1.6-5.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:16:21 +0100

openmpi (4.1.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064263

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:37:33 +0000

openmpi (4.1.6-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 10:04:03 +0100

openmpi (4.1.6-5) unstable; urgency=medium

  * Ensure pkg-config is present for autopkgtests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:56 +0000

openmpi (4.1.6-4) unstable; urgency=medium

  * Revert FMODDIR to libdir via dh-fortran-mod >= 0.31.
    Closes: #1058876
  * Add fortran-suppport.mk 
  * Add fortran:Depends, fortran:Recommends to libopenmpi-dev
  * Depend on dh-fortran-mod (>= 0.31)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:39 +0000

openmpi (4.1.6-3) unstable; urgency=medium

  * Pass FMODDIR into pkg-config. Closes: #1058876
  * Update mpi wrappers data for fmoddir
  * Now ship pkg-config  ompi-f77.pc, opal.pc links in d/libopenmpi-dev
  * Expand debian/tests to cover mpi wrapper, pkg-config compiles

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Dec 2023 14:06:07 +0000

openmpi (4.1.6-2) unstable; urgency=medium

  * Fix change of FMODDIR to /usr/include*. Closes: #1058526

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 08:57:13 +0000

openmpi (4.1.6-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:31:28 +0200

openmpi (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Minor link change: libmpi.so.40.30.5 -> libmpi.so.40.30.6

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Oct 2023 13:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Manuel Prinz <manuel@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), 
- dh-sequence-fortran-mod,
+Build-Depends: dpkg-dev (>= 1.22.5), dpkg-dev (>= 1.16.1~), 
+ dh-fortran-mod (>= 0.31),
  debhelper-compat (= 13), 
  libevent-dev,
  libpmix-dev,
  libucx-dev [amd64 arm64 ppc64el],
  zlib1g-dev,
- gfortran,
  libhwloc-dev,
  pkg-config,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386],
@@ -67,8 +66,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
- libopenmpi3 (= ${binary:Version}), 
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${fortran:Depends},
+ libopenmpi3t64 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !i386], libhwloc-dev,
  libevent-dev, 
@@ -77,7 +76,7 @@
  libjs-jquery-ui,
  zlib1g-dev,
  openmpi-bin (>= 3.0.0-1)
-Recommends: libcoarrays-openmpi-dev
+Recommends: libcoarrays-openmpi-dev, ${fortran:Recommends}
 Conflicts: libopenmpi-dev
 Breaks:
  openmpi-doc (<< 4.1.2~rc1-4),
@@ -93,12 +92,14 @@
  This package contains the header files and compiler wrappers which are needed
  to compile and link programs against libopenmpi.
 
-Package: libopenmpi3
+Package: libopenmpi3t64
+Provides: ${t64:Provides}
+Replaces: libopenmpi3
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins, libpmix2
-Breaks: gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
+Breaks: libopenmpi3 (<< ${source:Version}), gromacs-openmpi (<< 2020~beta2-2), libeztrace0 (<< 1.1-8-5+b1), starpu-contrib-examples (<< 1.3.2+dfsg-2+b1), starpu-examples (<< 1.3.2+dfsg-4+b1)
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,20 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/debhelper/dh-fortran/fortran-support.mk
 
 DESTDIR:=$(CURDIR)/debian/tmp/
-BUILDDIR_FLANG=debian/build-flang
-BUILDDIR_GFORTRAN=debian/build-gfortran
+BUILDDIR=debian/build
+BUILDDIR_DEFAULT=$(BUILDDIR)-$(FC_DEFAULT)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 AUTOGENERATED:= libopenmpi-dev.postinst libopenmpi-dev.prerm
+
+# get_moddir in 0.31 buggy; adds quotes so ..
+FMODDIR:=$(shell echo $(call get_fmoddir,$(FC_DEFAULT)) )
+
+export FC_DEFAULT FMODDIR
+export GFORTRAN_VERSION=gfortran-mod-15
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
@@ -34,31 +41,13 @@
 CMA:=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CMA_ARCH)), --without-cma , )
 DO_TEST:= $(if $(filter $(DEB_TARGET_ARCH), $(NO_TEST_ARCH)), false, true)
 BTL_TESTS:= $(if $(DO_TEST), --enable-opal-btl-usnic-unit-tests, )
-DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)
+
+DO_FLANG:=false
 
 ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
        JAVA := $(if $(filter $(DEB_TARGET_ARCH), $(NO_JAVA_ARCH)), \
 		 ,--with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java )
 endif
-
-FLANG_FCFLAGS= $(filter '-g', $(shell dpkg-buildflags --get FCFLAGS))
-FLANG_LIBDIR= $(LIBDIR)/fortran/flang
-
-FLANG_VERSION=$(shell basename $(shell readlink /usr/bin/flang))
-# GFORTRAN_VERSION:=$(shell basename $(shell readlink -f /usr/bin/gfortran))
-export GFORTRAN_VERSION=gfortran-mod-15
-
-# FC set to f77 by default in make
-# Read default compiler name unless FC is actually set
-ifeq ($(FC),f77)
-  FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
-endif
-
-# Drop '-g' flag with flang. Known failure with 2018122 version
-ifneq ($(filter flang,$(FC)),)
-FCFLAGS=$(shell dpkg-buildflags --get FCLAGS |  sed -e 's/-g //')
-endif
-
 
 ifeq (sparc,$(DEB_HOST_GNU_CPU))
 	CFLAGS += -mcpu=v9
@@ -78,7 +67,7 @@
 export USER=username
 
 %:
-	dh $@ 
+	dh $@ --with fortran_mod 
 
 extra_flags = \
 		--disable-silent-rules \
@@ -106,7 +95,9 @@
 
 override_dh_auto_clean:
 	dh_clean
+	rm -fr debian/build-*
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
+	find . -name Makefile.in -delete
 	find . -name .libs -exec rm -rf {} \; || true
 	find . -name .dirstamp -delete
 	find . -type l -delete
@@ -118,20 +109,20 @@
 
 override_dh_auto_configure:
 	for f in ${AUTOGENERATED} ; do \
-               sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  | \
-               sed -e 's/@GFORTRAN_VERSION@/${GFORTRAN_VERSION}/' > debian/$$f ; \
+               sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ;  \
                done
-	dh_auto_configure --builddirectory=$(BUILDDIR_GFORTRAN) -- $(extra_flags)
+	dh_auto_configure --builddirectory=$(BUILDDIR_DEFAULT) -- $(extra_flags) \
+		FC=$(FC_DEFAULT) 
 	$(DO_FLANG) && dh_auto_configure --builddirectory=$(BUILDDIR_FLANG) \
 		-- $(extra_flags) FC=flang FCFLAGS="$(FLANG_FCFLAGS)" || true
 
 override_dh_auto_build:
-	dh_auto_build --builddirectory=$(BUILDDIR_GFORTRAN)	
+	dh_auto_build --builddirectory=$(BUILDDIR_DEFAULT)
 	$(DO_FLANG) && dh_auto_build --builddirectory=$(BUILDDIR_FLANG)	 || true
 
 override_dh_install:
-	dh_auto_install --builddirectory=$(BUILDDIR_GFORTRAN)
-	$(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
+	dh_auto_install --builddirectory=$(BUILDDIR_DEFAULT)
+	# $(DO_FLANG) && find $(BUILDDIR_FLANG) -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \; || true
 # Rename the compiler and startup wrappers.
 	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
 		if test -f $(DESTDIR)/usr/bin/$${f}; then \
@@ -143,12 +134,13 @@
 	mv $(DESTDIR)/usr/bin/profile2mat.pl $(DESTDIR)/usr/bin/profile2mat
 # Strip rpath from pc,wrapper files
 	for f in ompi-c.pc  ompi-cxx.pc  ompi-f77.pc  ompi-f90.pc  ompi-fort.pc  ompi.pc  opal.pc  orte.pc ; do  \
-		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} > debian/tmp.x ; \
+		sed -e 's/-Wl,-rpath -Wl,$${libdir}//' < $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} | \
+                sed -e 's%@FMODDIR@%${FMODDIR}%g' > debian/tmp.x ; \
 		mv debian/tmp.x $(DESTDIR)/$(LIBDIR)/openmpi/lib/pkgconfig/$${f} ; \
 		done
 	find . -name '*wrapper-data.txt' | while read f; do \
-		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f | \
-		sed -e 's/@COMPILER_VERSION@/${GFORTRAN_VERSION}/' > debian/tmp.x ; \
+		sed -e 's/-Wl,-rpath -Wl,@{libdir}//' < $$f  |  \
+	        sed -e 's/@COMPILER_VERSION@/${GFORTRAN_VERSION}/' > debian/tmp.x ; \
 		mv debian/tmp.x $$f ; done
 # Rename the compiler wrapper man pages.
 	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
@@ -166,15 +158,15 @@
 		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
 	done; \
 	mkdir -p $(DESTDIR)/$(LIBDIR)/openmpi/lib/
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
-	cp $(BUILDDIR_GFORTRAN)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-gfortran.so.40.30.0 \
+	cp $(BUILDDIR_DEFAULT)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0  $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
+	cp $(BUILDDIR_DEFAULT)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
+	cp $(BUILDDIR_DEFAULT)/ompi/mpi/fortran/*/.libs/libmpi_usempif08.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
+	gcc -shared -fPIC -Wl,-soname,libmpi_mpifh-$(FC_DEFAULT).so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-$(FC_DEFAULT).so.40.30.0 \
 		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh.so.40.30.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-gfortran.so.40 \
-		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-gfortran.so.40.30.0 \
+	gcc -shared -fPIC -Wl,-soname,libmpi_usempi_ignore_tkr-$(FC_DEFAULT)so.40 \
+		-o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-$(FC_DEFAULT).so.40.30.0 \
 		   $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr.so.40.30.0
-	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-gfortran.so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-gfortran.so.40.30.0 \
+	gcc -shared -fPIC -Wl,-soname,libmpi_usempif08-$(FC_DEFAULT).so.40 -o $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08-$(FC_DEFAULT).so.40.30.0 \
 		$(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempif08.so.40.30.0
 	# Flang, if present
 	$(DO_FLANG) && ( \
@@ -184,3 +176,5 @@
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/*.mod openmpi ; \
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/use-mpi-f08/mod/*.mod openmpi ; \
 		dh_fortran_mod -p libopenmpi-dev  $(BUILDDIR_FLANG)/ompi/mpi/fortran/mpiext-use-mpi/*.mod openmpi ; \
+		cp $(BUILDDIR_FLANG)/ompi/mpi/fortran/*/.libs/libmpi_mpifh.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_mpifh-flang.so.40.30.0 ; \
+		cp $(BUILDDIR_FLANG)/ompi/mpi/fortran/*/.libs/libmpi_usempi_ignore_tkr.so.40.30.0 $(DESTDIR)/$(LIBDIR)/openmpi/lib/libmpi_usempi_ignore_tkr-flang.so.40.30.0 ; \

=== debian/tests/control ===
Tests: compile_run_mpicc
Depends: gcc, openmpi-bin, libopenmpi-dev

Tests: compile_run_mpif90
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: compile_run_mpif77
Depends: gfortran, libopenmpi-dev, openmpi-bin

Tests: compile_run_cc_pkgconfig
Depends: gfortran, libopenmpi-dev, openmpi-bin, pkg-config

# Fails, for_main -- test wrong?
#Tests: compile_run_f90_pkgconfig
#Depends: gfortran, libopenmpi-dev, openmpi-bin, pkg-config

# Fails, for_main -- test wrong?
#Tests: compile_run_f77_pkgconfig
#Depends: gfortran, libopenmpi-dev, openmpi-bin, pkg-config
#
Tests: check_shared_objs
Depends: openmpi-bin
